<%= f.fields_for :properties do |news_form| %>
<%= 
  news_form.select :news_id,
  component_select("blogs", current_participatory_space.id),
  {
    include_blank: t("decidim.homes.elements.admin.select_a_component"), 
    label: t("decidim.homes.elements.admin.component_label"),
    selected: @home_element.properties['news_id'].to_i,
  },
  { multiple: false }
%>

  <%=
    news_form.check_box :highlight_latest,
    label: "Destacar últimas notícias",
    checked: @home_element.properties['highlight_latest'].to_i == 1
  %>
<% end %>